<?php
define('NTLCMS', 1);
$module = 'sitestat';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/INFO.class.php');
include ('../system/antidos.php');
include ('../system/head.php');
################################################################################
if (!$active){
header('Location: '.URL);
$_SESSION['fail'] = 'Вы не авторизированы!';
exit;
}
################################################################################
echo '<div class="title"><b>'.razd.' Статистика сайта</b></div>';
################################################################################

$k_post = DB :: run() -> querySingle("select count(*) from `count_sip` where `date` = '".date('d.m.Y')."'");
 
$k_page = k_page($k_post, $onpage); 
$page = page($k_page); 
$start = $onpage * $page - $onpage; 

$sql = DB :: run() -> query("select * from `count_sip` where `date` = '".date('d.m.Y')."' order by `id` asc limit ".$start.", ".$onpage);

if ($k_post == 0){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Статистика за сегодня пуста!</center></div>';
} else {
$count = $start;
while ($row = $sql -> fetch(PDO::FETCH_OBJ)){
$count ++;

$detect = new USER_INFO($row -> soft);

echo '<div class="menu">';
echo $count.'. <b>Время</b>: '.date('H:i:s', $row -> time).'<br/>';
echo '* <b>Агент</b>: '.$row -> soft.'<br/>';
echo '* <b>IP адрес</b>: '.($row -> ip).'<br/>';
$a = array('Неопознано', 'Клиентский', 'Мобильный', 'Поисковик'); 
echo '* <b>Тип браузера</b>: '.$a[$detect -> getType()].'<br/>';
//echo '* <b>Имя браузера</b>: '.$detect -> getUserAgentName().'<br/>';
echo '* <b>ОС клиента</b>: '.$detect -> getOS().'<br/>';
//echo '* <b>Код браузера</b>: '.$detect -> getCode().'<br/>';

echo '</div>';

}
if ($k_page > 1) navigation(URL.'/sitestat?', $k_page, $page);
}

echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a></div>';

include ('../system/foot.php');
?>